# apiVersion: extensions/v1beta1
# kind: Ingress
# metadata:
#   name: transit-ingress
#   annotations:
#     kubernetes.io/ingress.class: "nginx"
#     # nginx.org/websocket-services: "rnkm-transit-service"
#     # nginx.ingress.kubernetes.io/rewrite-target: /$2
#     nginx.ingress.kubernetes.io/websocket-services: rnkm-transit-service
#     # nginx.ingress.kubernetes.io/proxy-send-timeout: "1800"
#     # nginx.ingress.kubernetes.io/proxy-read-timeout: "1800"
#     nginx.ingress.kubernetes.io/affinity: "cookie"
#     nginx.ingress.kubernetes.io/session-cookie-name: "session"
#     nginx.ingress.kubernetes.io/session-cookie-expires: "108000"
#     nginx.ingress.kubernetes.io/session-cookie-max-age: "108000"
#     # certmanager.k8s.io/issuer: "letsencrypt-prod"
#     # certmanager.k8s.io/acme-challenge-type: http01
# spec:
#   rules:
#   - host: api.transit.rubnongcu.life
#     http:
#       paths:
#       - path: /
#         backend:
#           serviceName: rnkm-transit-service
#           servicePort: 80
#   # tls:
#   #   - hosts:
#   #     - freshmen.gamma.rubnongcu.life
#   #     secretName: ingress-freshmen-tls
# ---
# apiVersion: v1
# kind: Service
# metadata:
#   name: rnkm-transit-lb
#   labels:
#     domain: transit
#     role: ws-loadbalancer
# spec:
#   type: NodePort
#   ports:
#   - port: 80
#     targetPort: 8080
#     protocol: TCP
#   selector:
#     domain: transit
#     role: loadbalancer
# ---
# apiVersion: extensions/v1beta1
# kind: Deployment
# metadata:
#   name: rnkm-transit-lb
# spec:
#   replicas: 10
#   selector:
#     matchLabels:
#       domain: transit
#       role: loadbalancer
#   template:
#     metadata:
#       labels:
#         domain: transit
#         role: loadbalancer
#       annotations:
#         prometheus.io/scrape: 'true'
#         prometheus.io/port: '8000'
#     spec:
#       imagePullSecrets:
#       - name: regcred
#       containers:
#       - name: loadbalancer
#         image: asia.gcr.io/rnkm-62-244919/transition-rnkm-loadbalancer@sha256:bdbb48b4b6f19d197ca8b20ba141a15acba15d32a84645a40040e73f65aed1b0
#         env:
#           - name: LOADBALANCER_REDIS_HOST
#             value: redis-prod-master:6379
#           - name: LOADBALANCER_MONGO_URL
#             value: mongodb://mongo-prod-mongodb:27017
#           - name: LOADBALANCER_KAFKA_BROKERS
#             value: kafka-prod:9092
#         resources:
#           requests:
#             cpu: "200m"
# ---
apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  name: rnkm-transit-logger
spec:
  replicas: 1
  selector:
    matchLabels:
      domain: transit
      role: logger
  template:
    metadata:
      labels:
        domain: transit
        role: logger
    spec:
      imagePullSecrets:
      - name: regcred
      containers:
      - name: logger
        image: asia.gcr.io/rnkm-62-244919/transition-rnkm-logger:0.0
        env:
          - name: KAFKA_BROKERS
            value: kafka-prod:9092
          - name: INFLUXHOST
            value: influx-prod-influxdb
        resources:
          requests:
            cpu: "100m"
---
# apiVersion: extensions/v1beta1
# kind: Deployment
# metadata:
#   name: rnkm-transit-population
# spec:
#   replicas: 1
#   selector:
#     matchLabels:
#       domain: transit
#       role: population
#   template:
#     metadata:
#       labels:
#         domain: transit
#         role: population
#     spec:
#       imagePullSecrets:
#       - name: regcred
#       containers:
#       - name: population
#         image: asia.gcr.io/rnkm-62-244919/transition-rnkm-population@sha256:a9dcdc84d40acc2db075e046af07773b84420a7fb2c5a09f65dc8d6ba9b8aee0
#         env:
#           - name: POPULATION_REDIS_HOST
#             value: redis-prod-master:6379
#           - name: POPULATION_KAFKA_BROKERS
#             value: kafka-prod:9092
#         resources:
#           requests:
#             cpu: "100m"
# ---
# apiVersion: extensions/v1beta1
# kind: Deployment
# metadata:
#   name: rnkm-transit-teller
# spec:
#   replicas: 10
#   selector:
#     matchLabels:
#       domain: transit
#       role: teller
#   template:
#     metadata:
#       labels:
#         domain: transit
#         role: teller
#     spec:
#       imagePullSecrets:
#       - name: regcred
#       containers:
#       - name: teller
#         image: asia.gcr.io/rnkm-62-244919/transition-rnkm-teller@sha256:cbab4fbb540693f57a6a423321b3b4651d3446be423243029c87b8eb55cd7355
#         env:
#           - name: TELLER_REDIS_HOST
#             value: redis-prod-master:6379
#           - name: TELLER_KAFKA_BROKERS
#             value: kafka-prod:9092
#         resources:
#           requests:
#             cpu: "100m"
